Main Page Widgets Namespaces Book

# fontdescription.h File Reference

## Namespaces

namespace | Glib
namespace | Pango

## Classes

class | Pango::FontDescription
| A Pango::FontDescription represents the description of an ideal font. More...

## Enumerations

enum | Pango::FontMask { Pango::FONT_MASK_FAMILY = 1 << 0, Pango::FONT_MASK_STYLE = 1 << 1, Pango::FONT_MASK_VARIANT = 1 << 2, Pango::FONT_MASK_WEIGHT = 1 << 3, Pango::FONT_MASK_STRETCH = 1 << 4, Pango::FONT_MASK_SIZE = 1 << 5 }
enum | Pango::Stretch { Pango::STRETCH_ULTRA_CONDENSED, Pango::STRETCH_EXTRA_CONDENSED, Pango::STRETCH_CONDENSED, Pango::STRETCH_SEMI_CONDENSED, Pango::STRETCH_NORMAL, Pango::STRETCH_SEMI_EXPANDED, Pango::STRETCH_EXPANDED, Pango::STRETCH_EXTRA_EXPANDED, Pango::STRETCH_ULTRA_EXPANDED }
enum | Pango::Style { Pango::STYLE_NORMAL, Pango::STYLE_OBLIQUE, Pango::STYLE_ITALIC }
enum | Pango::Variant { Pango::VARIANT_NORMAL, Pango::VARIANT_SMALL_CAPS }
enum | Pango::Weight { Pango::WEIGHT_ULTRALIGHT = 200, Pango::WEIGHT_LIGHT = 300, Pango::WEIGHT_NORMAL = 400, Pango::WEIGHT_BOLD = 700, Pango::WEIGHT_ULTRABOLD = 800, Pango::WEIGHT_HEAVY = 900 }

## Functions

FontMask | Pango::operator& (FontMask lhs, FontMask rhs)
FontMask& | Pango::operator&= (FontMask& lhs, FontMask rhs)
FontMask | Pango::operator^ (FontMask lhs, FontMask rhs)
FontMask& | Pango::operator^= (FontMask& lhs, FontMask rhs)
FontMask | Pango::operator| (FontMask lhs, FontMask rhs)
FontMask& | Pango::operator|= (FontMask& lhs, FontMask rhs)
FontMask | Pango::operator~ (FontMask flags)